jDownloadsownloads.com


Author Topic: Content plugin wrong version - [Fixed in 2.5.22 !!!]  (Read 4018 times)

0 Members and 1 Guest are viewing this topic.

Offline jeeberpow

  • Newbie
  • *
  • Posts: 3
Content plugin is throwing a bootstrap error when used on my Joomla 2.5 system.

I am using the 2.5 JDownloads package.
I have verified that at least the last few versions of the 2.5 package seem to have a content plugin that is for the 3.2 version. The notation in the content plugin itself states this.

Is there somewhere I can get the 2.5 version?

* jDownloads content plugin
* Version 3.2
* For Joomla 3.x
« Last Edit: 09.01.2015 22:42:25 by Arno »

Offline Arno

  • Administrator
  • ***
  • Posts: 12.271
    • jDownloads.com
Re: Content plugin wrong version
« Reply #1 on: 09.01.2015 18:52:26 »
Hi,
i can not find a problem with the content plugin in jD 2.5.x. See my fast test below.
Fresh installed with the last version 2.5.21.

Quote
The notation in the content plugin itself states this.
The content plugin was at first written for the 3.2 series and then only tested with the 2.5 series.
As modifications was not required, we have also not changed the notification. That it's all.

Please describe more detailed your problem (exactly error messages or screenshots).
Also your versions...

[gelöscht durch Administrator]
« Last Edit: 09.01.2015 18:53:31 by Arno »
Best Regards / Gruß
Arno
Please make a Donation for jDownloads and/or write a review on the Joomla! Extensions directory!

Offline jeeberpow

  • Newbie
  • *
  • Posts: 3
Re: Content plugin wrong version
« Reply #2 on: 09.01.2015 19:10:14 »
I've attached screenshots - one of the 500 Bootstrap error, and two which show the freshly downloaded file, the contents of the plugin, and some code referring to bootstrap. I do not know the inner working of Joomla well enough to diagnose :(



[gelöscht durch Administrator]

Offline Arno

  • Administrator
  • ***
  • Posts: 12.271
    • jDownloads.com
Re: Content plugin wrong version
« Reply #3 on: 09.01.2015 19:57:33 »
Okay, i think i have understand now what you mean.
You have selected in the jD configuration the 'use tabs' option.
I will check and fix it fast.

Please note that jDownloads has many hundreds settings and it is not really possible to test all possible 'combinations'.  :-\

« Last Edit: 09.01.2015 19:59:16 by Arno »
Best Regards / Gruß
Arno
Please make a Donation for jDownloads and/or write a review on the Joomla! Extensions directory!

Offline Arno

  • Administrator
  • ***
  • Posts: 12.271
    • jDownloads.com
Re: Content plugin wrong version - [Fixed in 2.5.22 !!!]
« Reply #4 on: 09.01.2015 22:41:57 »
Some source code not required here as we use for the plugin only layouts from type 'Files'. Here is not used the 'tabs' option.
Please copy the unzipped file below to the folder: /plugins/content/jdownloads/

This bugfix is also a part from next version 2.5.22.
Thanks for the hint. ;)

[gelöscht durch Administrator]
Best Regards / Gruß
Arno
Please make a Donation for jDownloads and/or write a review on the Joomla! Extensions directory!

Offline jeeberpow

  • Newbie
  • *
  • Posts: 3
Re: Content plugin wrong version - [Fixed in 2.5.22 !!!]
« Reply #5 on: 12.01.2015 16:35:20 »
Thank you for your quick response and troubleshooting. I plan to make good use of this component!